@import "bootstrap";
@import "jquery-ui/core";
@import "jquery-ui/theme";
@import "jquery-ui/spinner";
@import "common/*";
@import "font-awesome";
@import "trix";
@import "pickadate/default";
@import "pickadate/default.date";
@import "pickadate/default.time";

.navbar, .nav {
  margin-bottom: 20px;
}

.table-responsive:not(.no-min-height) {
  min-height: calc(100vh - 250px);
}

.ls20 {
  height: 20px;
}

.ls40 {
  height: 40px;
}

.ls60 {
  height: 60px;
}

body {
  .btn {
    cursor: pointer;
  }

  .show-on-hover-parent .show-on-hover {
    display: none;
  }

  .show-on-hover-parent:hover .hide-on-hover {
    display: none;
  }

  .show-on-hover-parent:hover .show-on-hover {
    display: inherit;
    &.inline { display: block; }
  }

  .pointer {
    cursor: pointer;
  }
}

.card {
  padding: 0;
}

// --------------------------------------------------------------------------------
// -----------------------      FOR MAIN NAVBAR            ------------------------
// --------------------------------------------------------------------------------

#main-navbar {
  @extend .navbar-expand-md, .navbar-light, .bg-dark, .navbar-dark;

  .navbar-toggler {
    @extend .ml-auto;
  }
}

// --------------------------------------------------------------------------------
// --------------    FOR ADDITIONAL MENU AND BREADCRUMB         -------------------
// --------------------------------------------------------------------------------

.breadcrumb {
  padding-top: 0.6rem;
  padding-bottom: 0.6rem;

  .breadcrumb-item {
    @media (max-width: 992px) {
      width: calc(100% / 3);

      &:hover {
        overflow: visible;
        &:not(:first-child) { position: relative; }
        &~.breadcrumb-item { display: none !important; }
        z-index: 500;
      }
    }

    @media (min-width: 576px) and (max-width: 775px) { width: 10vw; }
    @media (min-width: 775px) and (max-width: 827px) { width: 15vw; }
    @media (max-width: 400px) { width: 100%; }

    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
}

 @media (min-width: 575px) {
  .row.second-bar {
    &> div:nth-last-child(2) {
      padding-right: 0;
      position: relative; left: 2px;
    }

    &> div:nth-child(2) {
      padding-left: 0;
      position: relative; right: 2px;
    }
  }
}

.menu-flex-box {
  @extend .d-flex, .justify-content-end, .flex-wrap;
  padding-top: 6px;
  padding-bottom: 6px;

  @media (min-width: 575px) {
    border: solid #eceeef 2px;
    border-radius: 0 5px 5px 0;
  }

  padding-top: 0;
  padding-bottom: 0;

  .btn {
    margin-left: 10px;

    @media (max-width: 575px) {
      width: calc(100vw - 30px);
      margin: 5px 0;
      border-radius: 3px !important;
    }

    &.btn-secondary:not(:hover) {
      background-color: #eceeef;
    }
  }

  .btn-group {
    .dropdown-menu {
      @extend .dropdown-menu-right;
      position: absolute;
    }
  }
}


// --------------------------------------------------------------------------------
// -----------------------      FOR      MEETINGS          ------------------------
// --------------------------------------------------------------------------------

#more-dropdown-button {
  @extend .btn, .btn-sm, .btn-secondary, .dropdown-toggle;

  & + .dropdown-menu {
    @extend .dropdown-menu-right;
  }
}
